Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arch: [ amd64 ], all versions are unstable: [ 5.0.1, 6.5.0, 6.5.0-r1 ]
  • 6.5.0-r1
    • PythonGHDistfileSuffix
      GitHub archive 'diff-cover-6.5.0.tar.gz' ('https://github.com/Bachmann1234/diff-cover/archive/v6.5.0.tar.gz') is not using '.gh.tar.gz' suffix
  • 6.5.0
    • PythonGHDistfileSuffix
      GitHub archive 'diff-cover-6.5.0.tar.gz' ('https://github.com/Bachmann1234/diff-cover/archive/v6.5.0.tar.gz') is not using '.gh.tar.gz' suffix
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 6.5.0-r1
  • 5.0.1
    • PythonCompatUpdate
      PYTHON_COMPAT updates available: python3_10, python3_11
    • PythonGHDistfileSuffix
      GitHub archive 'diff-cover-5.0.1.tar.gz' ('https://github.com/Bachmann1234/diff_cover/archive/v5.0.1.tar.gz') is not using '.gh.tar.gz' suffix
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 6.5.0, 6.5.0-r1
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/x32' (21 total) failed REQUIRED_USE: ( python_targets_python3_8 || python_targets_python3_9 )

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.